VOD Global Settingsupdate zone vod geoblock setting

update zone vod geoblock setting

update zone vod domain setting

curl -X POST "https://api.5centscdn.com/v2/zones/vod/settings/security/geoblock" \
  -H "Content-Type: application/json" \
  -H "X-API-Key: YOUR_API_KEY" \
  -d '{
  "enabled": "Y",
  "policy": "Y",
  "list": [
    "US",
    "GB",
    "IN"
  ],
  "ips": "1.2.3.4",
  "mode": "save"
}'
{
  "result": "success",
  "message": "Zone Settings Updated"
}
POST
/zones/vod/settings/security/geoblock
POST
Base URLstring

Target server for requests. Edit to use your own host.

API Key (header: X-API-Key)
X-API-Keystring
Required

API key (sent in header)

Content-Typestring
Required

The media type of the request body

Options: application/json
enabledstring

Enable or disable this feature. Y means enabled, N means disabled.

Options: Y, N
policystring

N = Allow listed countries, Y = Block listed countries

Options: Y, N
listarray

Array of ISO-3166 country codes.

ipsstring

Comma-separated IPs excluded from geo check.

modestring

Controls how the settings are applied to zones. save — only saves the settings, no changes will be made to existing zone settings. append — appends the values to existing zones data and updates. overwrite — overwrites the existing zones values, replacing them and updates.

Options: save, append, overwrite
Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-API-Keystring
Required

API Key for authentication. Provide your API key in the header.

Body

application/json
enabledstring

Enable or disable this feature. Y means enabled, N means disabled.

Allowed values:YN
policystring

N = Allow listed countries, Y = Block listed countries

Allowed values:YN
listarray

Array of ISO-3166 country codes.

Example:
["US","GB","IN"]
ipsstring

Comma-separated IPs excluded from geo check.

Example:
1.2.3.4
modestring

Controls how the settings are applied to zones. save — only saves the settings, no changes will be made to existing zone settings. append — appends the values to existing zones data and updates. overwrite — overwrites the existing zones values, replacing them and updates.

Allowed values:saveappendoverwrite

Responses

resultstring

Status of the API response.

messagestring

Human-readable status or result message